hosc-0.21.1: Haskell Open Sound Control

Safe Haskell | None
Language | Haskell2010

Sound.Osc.Transport.Fd.Socket

Description

Osc over Udp/Tcp implementation.

Synopsis

- data OscProtocol
  - = Udp
  - | Tcp
- type OscHostname = String
- type OscPort = Int
- type OscSocketAddress = (OscProtocol, OscHostname, OscPort)
- data OscSocket
  - = OscUdpSocket Udp
  - | OscTcpSocket Tcp
- openOscSocket :: OscSocketAddress -> IO OscSocket

# Documentation

data OscProtocol Source #

Protocol, either Udp or Tcp

Constructors

Udp |
Tcp |

#### Instances

Instances details

Read OscProtocol Source # |
Instance details Defined in Sound.Osc.Transport.Fd.Socket Methods readsPrec :: Int -> ReadS OscProtocol Source # readList :: ReadS [OscProtocol] Source # readPrec :: ReadPrec OscProtocol Source # readListPrec :: ReadPrec [OscProtocol] Source #
Show OscProtocol Source # |
Instance details Defined in Sound.Osc.Transport.Fd.Socket Methods showsPrec :: Int -> OscProtocol -> ShowS Source # show :: OscProtocol -> String Source # showList :: [OscProtocol] -> ShowS Source #
Eq OscProtocol Source # |
Instance details Defined in Sound.Osc.Transport.Fd.Socket Methods (==) :: OscProtocol -> OscProtocol -> Bool Source # (/=) :: OscProtocol -> OscProtocol -> Bool Source #

type OscHostname = String Source #

Hostname

type OscPort = Int Source #

Port number

type OscSocketAddress = (OscProtocol, OscHostname, OscPort) Source #

Socket address

data OscSocket Source #

Socket

Constructors

OscUdpSocket Udp |
OscTcpSocket Tcp |

#### Instances

Instances details

Transport OscSocket Source # | `OscSocket` is an instance of `Transport`.
Instance details Defined in Sound.Osc.Transport.Fd.Socket Methods sendPacket :: OscSocket -> PacketOf Message -> IO () Source # recvPacket :: OscSocket -> IO (PacketOf Message) Source # recvPacketOr :: OscSocket -> IO (Either String Packet) Source # close :: OscSocket -> IO () Source #

openOscSocket :: OscSocketAddress -> IO OscSocket Source #

Open socket at address